For the complete documentation index, see llms.txt. This page is also available as Markdown.

List the IP addresses of all devices of a user, grouped by location

get
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired

Name of the user.

Responses
200

IP addresses of all devices of the user, grouped by location.

application/json
objectOptional
get/api/v1/device/user/{username}/ip
GET /api/v1/device/user/{username}/ip HTTP/1.1
Accept: */*
{
  "locations": [
    {
      "devices": [
        {
          "device_id": 5,
          "device_name": "laptop",
          "wireguard_ips": [
            {
              "ip": "10.0.0.15",
              "modifiable_part": "15",
              "network_part": "10.0.0.",
              "network_prefix": "/24"
            }
          ]
        }
      ],
      "location_id": 1,
      "location_name": "office"
    }
  ]
}

Last updated

Was this helpful?